Skip to main content
GET
/
domain-suggestions
cURL
curl --request GET \
  --url https://dev.namify.host/domain-suggestions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "product_category": "domain_registration",
      "domain": "example.store",
      "status": "available",
      "pricing": {
        "register": {
          "1": 29
        },
        "privacy": {
          "1": 6
        },
        "renew": 49.99,
        "slashed": 99.98
      },
      "type": "standard",
      "renews_on": "Nov 16, 2026"
    },
    {
      "product_category": "domain_registration",
      "domain": "example.tech",
      "status": "available",
      "pricing": {
        "register": {
          "1": 29
        },
        "privacy": {
          "1": 6
        },
        "renew": 49.99,
        "slashed": 99.98
      },
      "type": "standard",
      "renews_on": "Nov 16, 2026"
    },
    {
      "product_category": "domain_registration",
      "domain": "example.online",
      "status": "available",
      "pricing": {
        "register": {
          "1": 29
        },
        "privacy": {
          "1": 6
        },
        "renew": 49.99,
        "slashed": 99.98
      },
      "type": "standard",
      "renews_on": "Nov 16, 2026"
    },
    {
      "product_category": "domain_registration",
      "domain": "example.fun",
      "status": "available",
      "pricing": {
        "register": {
          "1": 29
        },
        "privacy": {
          "1": 6
        },
        "renew": 49.99,
        "slashed": 99.98
      },
      "type": "standard",
      "renews_on": "Nov 16, 2026"
    },
    {
      "product_category": "domain_registration",
      "domain": "example.site",
      "status": "available",
      "pricing": {
        "register": {
          "1": 29
        },
        "privacy": {
          "1": 6
        },
        "renew": 49.99,
        "slashed": 99.98
      },
      "type": "standard",
      "renews_on": "Nov 16, 2026"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

search_term
string
required

Base keyword used to generate domain suggestions (without TLD).

tlds
string[]

One or more TLDs to check availability against.

Response

Domain suggestion results.

results
object[]